Package com.independentsoft.office.drawing

# Enum Class ThemeColorReference

java.lang.Object
java.lang.Enum<ThemeColorReference>
com.independentsoft.office.drawing.ThemeColorReference

All Implemented Interfaces:
  `Serializable`, `Comparable<ThemeColorReference>`, `Constable`

public enum ThemeColorReference extends Enum<ThemeColorReference>
The Enum ThemeColorReference.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCENT_1`
  `ACCENT_2`
  `ACCENT_3`
  `ACCENT_4`
  `ACCENT_5`
  `ACCENT_6`
  `DARK_1`
  `DARK_2`
  `FOLLOWED_HYPERLINK`
  `HYPERLINK`
  `LIGHT_1`
  `LIGHT_2`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ThemeColorReference`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ThemeColorReference[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACCENT_1

    public static final ThemeColorReference ACCENT_1

  - ### ACCENT_2

    public static final ThemeColorReference ACCENT_2

  - ### ACCENT_3

    public static final ThemeColorReference ACCENT_3

  - ### ACCENT_4

    public static final ThemeColorReference ACCENT_4

  - ### ACCENT_5

    public static final ThemeColorReference ACCENT_5

  - ### ACCENT_6

    public static final ThemeColorReference ACCENT_6

  - ### DARK_1

    public static final ThemeColorReference DARK_1

  - ### DARK_2

    public static final ThemeColorReference DARK_2

  - ### FOLLOWED_HYPERLINK

    public static final ThemeColorReference FOLLOWED_HYPERLINK

  - ### HYPERLINK

    public static final ThemeColorReference HYPERLINK

  - ### LIGHT_1

    public static final ThemeColorReference LIGHT_1

  - ### LIGHT_2

    public static final ThemeColorReference LIGHT_2

  - ### NONE

    public static final ThemeColorReference NONE

- ## Method Details

  - ### values

    public static ThemeColorReference[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ThemeColorReference valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null